(* $Id: comparator.sig,v 1.2 1999/07/14 07:20:28 leg Exp $ *)

signature COMPARATOR =
sig
  type comparator = (Value.value * Value.value) -> order

  exception NoSuchComparator of string

  datatype comparatortype = Equal | Order | Prefix | Substring

  val lookup : comparatortype -> string -> comparator
end
